Benchmark::IPS::Entry - Crystal 1.16.3

# class Benchmark::IPS::Entry

- Benchmark::IPS::Entry
- Reference
- Object

##
Defined in:

benchmark/ips.cr

##
Constructors

- .new(label : String, action : -> )

##
Instance Method Summary

- #action : ->

  Code to be benchmarked

- #action=(action : -> )

  Code to be benchmarked

- #bytes_per_op : UInt64

  Number of bytes allocated per operation

- #bytes_per_op=(bytes_per_op : UInt64)

  Number of bytes allocated per operation

- #bytes_per_op? : UInt64 | Nil

  Number of bytes allocated per operation

- #calculate_stats(samples) : Nil
- #call : Nil
- #call_for_100ms : Nil
- #cycles : Int32

  Number of cycles needed to run `#action` for approximately 100ms.

- #cycles=(cycles : Int32)

  Number of cycles needed to run `#action` for approximately 100ms.

- #cycles? : Int32 | Nil

  Number of cycles needed to run `#action` for approximately 100ms.

- #human_compare : String
- #human_iteration_time : String
- #human_mean : String
- #label : String

  Label of the benchmark

- #label=(label : String)

  Label of the benchmark

- #mean : Float64

  Statistical mean from calculation stage

- #mean=(mean : Float64)

  Statistical mean from calculation stage

- #mean? : Float64 | Nil

  Statistical mean from calculation stage

- #ran? : Bool
- #relative_stddev : Float64

  Relative standard deviation as a percentage

- #relative_stddev=(relative_stddev : Float64)

  Relative standard deviation as a percentage

- #relative_stddev? : Float64 | Nil

  Relative standard deviation as a percentage

- #set_cycles(duration, iterations) : Nil
- #size : Int32

  Number of 100ms runs during the calculation stage

- #size=(size : Int32)

  Number of 100ms runs during the calculation stage

- #size? : Int32 | Nil

  Number of 100ms runs during the calculation stage

- #slower : Float64

  Multiple slower than the fastest entry

- #slower=(slower : Float64)

  Multiple slower than the fastest entry

- #slower? : Float64 | Nil

  Multiple slower than the fastest entry

- #stddev : Float64

  Statistical standard deviation from calculation stage

- #stddev=(stddev : Float64)

  Statistical standard deviation from calculation stage

- #stddev? : Float64 | Nil

  Statistical standard deviation from calculation stage

- #variance : Float64

  Statistical variance from calculation stage

- #variance=(variance : Float64)

  Statistical variance from calculation stage

- #variance? : Float64 | Nil

  Statistical variance from calculation stage

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new, unsafe_construct(address : Pointer, *args, **opts) : self unsafe_construct

### Class methods inherited from class `Reference`

pre_initialize(address : Pointer) pre_initialize

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new(label : String, action : -> ) #

##
Instance Method Detail

def action : -> #

Code to be benchmarked

def action=(action : -> ) #

Code to be benchmarked

def bytes_per_op : UInt64 #

Number of bytes allocated per operation

def bytes_per_op=(bytes_per_op : UInt64) #

Number of bytes allocated per operation

def bytes_per_op? : UInt64 | Nil #

Number of bytes allocated per operation

def calculate_stats(samples) : Nil #
def call : Nil #
def call_for_100ms : Nil #
def cycles : Int32 #

Number of cycles needed to run `#action` for approximately 100ms. Calculated during the warmup stage

def cycles=(cycles : Int32) #

Number of cycles needed to run `#action` for approximately 100ms. Calculated during the warmup stage

def cycles? : Int32 | Nil #

Number of cycles needed to run `#action` for approximately 100ms. Calculated during the warmup stage

def human_compare : String #
def human_iteration_time : String #
def human_mean : String #
def label : String #

Label of the benchmark

def label=(label : String) #

Label of the benchmark

def mean : Float64 #

Statistical mean from calculation stage

def mean=(mean : Float64) #

Statistical mean from calculation stage

def mean? : Float64 | Nil #

Statistical mean from calculation stage

def ran? : Bool #
def relative_stddev : Float64 #

Relative standard deviation as a percentage

def relative_stddev=(relative_stddev : Float64) #

Relative standard deviation as a percentage

def relative_stddev? : Float64 | Nil #

Relative standard deviation as a percentage

def set_cycles(duration, iterations) : Nil #
def size : Int32 #

Number of 100ms runs during the calculation stage

def size=(size : Int32) #

Number of 100ms runs during the calculation stage

def size? : Int32 | Nil #

Number of 100ms runs during the calculation stage

def slower : Float64 #

Multiple slower than the fastest entry

def slower=(slower : Float64) #

Multiple slower than the fastest entry

def slower? : Float64 | Nil #

Multiple slower than the fastest entry

def stddev : Float64 #

Statistical standard deviation from calculation stage

def stddev=(stddev : Float64) #

Statistical standard deviation from calculation stage

def stddev? : Float64 | Nil #

Statistical standard deviation from calculation stage

def variance : Float64 #

Statistical variance from calculation stage

def variance=(variance : Float64) #

Statistical variance from calculation stage

def variance? : Float64 | Nil #

Statistical variance from calculation stage